#include <iostream>
using namespace std;

int main()
{
	ios::sync_with_stdio(0); cin.tie(0);
    int t; //broj karata
    int a; //karta iznad
    int izlaz = 0;
    cin >> t >> a;
    int n[t]; //niz karata
    
    for (int i = 0; i < t; i++)
    {
        cin >> n[i];
    }

    for (int i = 0; i < t; i++)
    {
    	 if (n[i] == a)
        {
            izlaz = n[i + 1];
        }
        if (i == (t - 1) && n[i] == a)
        {
            izlaz = n[0];
        }
       
    }

    //izlaz
	cout<< izlaz;

    return 0;
}